flexiblas_load_backend(3)

NAME
flexiblas_load_backend - load a backend from the FlexiBLAS configuration.

SYNOPSIS
#include <flexiblas/flexiblas_api.h> int flexiblas_load_backend(const char * name ); Link with -lflexiblas.

DESCRIPTION
flexiblas_load_backend loads a backend from the FlexiBLAS configuration. The name parameter specifies the name of the backend inside the configuration. The available backends can be access via flexiblas_list. Except of some special backends, like the upcoming CUBLAS backend the backend is initialized during the load. The name of the backend is not case sensitive.

RETURN VALUE
On success, it returns the id of the loaded backend which is used within a later call to flexiblas_switch to change the backend. If the requested backend can not be found in the configuration, an error is returned.

ERRORS
All negative return values are errors and can not be used as an id for flexiblas_switch.

SEE ALSO
flexiblas_list_loaded(3), flexiblas_list(3), flexiblas_load_backend_library(3), flexiblas_switch(3)

REPORTING BUGS
The current information about the developers and reporting bugs can be found on the FlexiBLAS homepage. FlexiBLAS Homepage: <http://www.mpi-magdeburg.mpg.de/projects/flexiblas>

AUTHORS
 Martin Koehler, Jens Saak

COPYRIGHT
Copyright (C) 2013-2025 Martin Koehler

LICENSE
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.